from setuptools import setup, find_packages
import codecs
import os

here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()

VERSION = '0.0.3'
DESCRIPTION = 'A file trasfer protocol'


# Setting up
setup(
    name="AFTP",
    version=VERSION,
    author="Zelabs",
    author_email="administration@zelabs.it",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=long_description,
    packages=['AFTP', 'AFTP.Server', 'AFTP.Client', 'AFTP.Server.Bin', 'AFTP.Client.Bin'],
    install_requires=["pycryptodome", "cryptography"],
    keywords=['python', 'file', 'protocol', 'safe', 'transfer'],
    classifiers=[
        "Development Status :: 1 - Planning",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: Unix",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
    ]
)